org.scalatest.FlatSpec

# IgnoreWord

#### class IgnoreWord extends AnyRef

Class that supports registration of ignored tests via the `ItWord` instance referenced from `FlatSpec`'s `ignore` field.

This class enables syntax such as the following registration of an ignored test:

    ignore should "pop values in last-in-first-out order" in { ... }
    ^

For more information and examples of the use of the `ignore` field, see Ignored tests section in the main documentation for this trait.

Attributes
  protected final

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. IgnoreWord
2. AnyRef
3. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new IgnoreWord ()

### Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

5. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

6. #### def asInstanceOf [T0] : T0

   Attributes
     final
   Definition Classes
     Any

7. #### def can (string: String): IgnoreVerbString

   Supports the registration of ignored tests with `can` in a `FlatSpec`.

   Supports the registration of ignored tests with `can` in a `FlatSpec`.

   This method supports syntax such as the following:

       ignore can "pop values in last-in-first-out order" in { ... }
              ^

   For more information and examples of the use of the `ignore` field, see Ignored tests section in the main documentation for trait `FlatSpec`.

8. #### def clone (): AnyRef

   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws()

9. #### def eq (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

10. #### def equals (arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

12. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

13. #### def hashCode (): Int

    Definition Classes
      AnyRef → Any

14. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

15. #### def must (string: String): IgnoreVerbString

    Supports the registration of ignored tests with `must` in a `FlatSpec`.

    Supports the registration of ignored tests with `must` in a `FlatSpec`.

    This method supports syntax such as the following:

        ignore must "pop values in last-in-first-out order" in { ... }
               ^

    For more information and examples of the use of the `ignore` field, see Ignored tests section in the main documentation for trait `FlatSpec`.

16. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

17. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

18. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

19. #### def should (string: String): IgnoreVerbString

    Supports the registration of ignored tests with `should` in a `FlatSpec`.

    Supports the registration of ignored tests with `should` in a `FlatSpec`.

    This method supports syntax such as the following:

        ignore should "pop values in last-in-first-out order" in { ... }
               ^

    For more information and examples of the use of the `ignore` field, see Ignored tests section in the main documentation for trait `FlatSpec`.

20. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

21. #### def toString (): String

    Definition Classes
      AnyRef → Any

22. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

23. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

24. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

### Inherited from AnyRef

### Inherited from Any